support-save-app(1)

NAME
support-save-app - support-save-data file processing program

SYNOPSIS

   support-save-app --infile=filespec --outdir=dirspec
      [<logging-parameters>]

DESCRIPTION
support-save-app is program used by YumaWorks technical support to help reproduce server defects. The <get-support-save> operation is available in the YumaPro SDK 17.10 release train. This operation output can be saved as an XML file. This program can process that XML file to extract certain support information gathered from the server.

Refer to the online user manual for full details on using the netconfd-pro server:

https://docs.yumaworks.com/en/latest/netconfd/index.html

Refer to the YANG module yumaworks-support-save.yang for details on the <get-support-save> operation and support-save-data yang-data structure.

The extracted data from --infile is saved in the --outdir location.

  + outdir
    - summary.txt
    - netconfd-pro.conf
    + modules
      - modules extracted from infile

USAGE
Parameters can be entered in any order, and have the form:

   --name[=value]

where:

    name == parameter name
    value == optional parameter value

   Example:

   support-save-app --infile=$HOME/test19.xml  --outdir=$HOME/tests/test19

OPTIONS

--infile=filespec
    The --infile parameter specifies the path and filespec for the support-save-data file to process. This is a mandatory parameter.

--outdir=dirspec
    The --dirspec parameter specifies the path for the directory where the extracted support-save-data should be saved. This is a mandatory parameter.

--log-level=level
    The --log-level, --log, and other logging parameters are also supported.

AUTHOR
YumaWorks, Inc., <support at yumaworks dot com>

SEE ALSO
netconfd-pro(1)